GET /api/v3/applications/{lcuid}¶
Summary¶
GET applications/{id}
Description¶
Return a single application
Typically your application token will only have access to a single application here. Its own
🔒 Required Permissions¶
At least one of the following permissions is required to access this endpoint:
application.viewAllData
Tags: applications
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)application(object) Type:object
Properties:
name(string): The name of the applicationdescription(string)-
permissions(object) Type:objectProperties:
allowed(array)
-
status(integer): The status of the application application_class(string): The application classapplication_class_description(string): The application class description-
options(object) Type:objectProperties:
primary_image_public_url(string): The primary image / icon public urlpermissions_version(string)
-
lcuid(string): The lcuid of the application slug(string): The slug of the applicationcreated_at(string): The created at dateorganization_name(string): The third party public organization name for this applicationwebsite(string): Third party organization websitehelp_url(string): Third party organization help urlvideo_url(string): Third party organization video urlpremium(integer)premium_fees_description(string)updated_at(string): The updated at date
Example Response¶
{
"success": true,
"application": {
"name": "Unit Test Application - MzfBQ2xCOi",
"description": "Here is a new unit test application description",
"permissions": {
"allowed": []
},
"status": 0,
"application_class": "App\\LuCore\\Applications\\GenericApplicationClass",
"application_class_description": "Generic placeholder class - Do not use",
"options": {
"primary_image_public_url": null,
"permissions_version": null
},
"lcuid": "LCUID-LAP-e76ac499-3015-45d3-9f9d-39fee861964c",
"slug": "UnitTestApplicationMzfbq2xcoi",
"created_at": "2026-01-08T23:28:32.000000Z",
"organization_name": null,
"website": null,
"help_url": null,
"video_url": null,
"premium": 0,
"premium_fees_description": null,
"updated_at": "2026-01-08T23:28:32.000000Z"
}
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/applications/LCUID-LAP-506fc585-77be-11ec-acb9-c2cdb617d190" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/applications/LCUID-LAP-506fc585-77be-11ec-acb9-c2cdb617d190"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/applications/LCUID-LAP-506fc585-77be-11ec-acb9-c2cdb617d190',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/applications/LCUID-LAP-506fc585-77be-11ec-acb9-c2cdb617d190'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()